org.apache.ignite.internal.managers.indexing

## Class IndexesRebuildTask

- java.lang.Object
- - org.apache.ignite.internal.managers.indexing.IndexesRebuildTask

    public class IndexesRebuildTask
    extends Object

Task that rebuilds indexes.

### Constructor Summary

Constructors
Constructor and Description
`IndexesRebuildTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable IgniteInternalFuture<?>` `rebuild(GridCacheContext<?,?> cctx, boolean force, IndexRebuildCancelToken cancelTok)` Start to rebuild.
`protected void` `startRebuild(GridCacheContext cctx, GridFutureAdapter<Void> fut, SchemaIndexCacheVisitorClosure clo, IndexRebuildCancelToken cancelTok)` Actual start rebuilding.
`void` `stopRebuild(GridCacheContextInfo cacheInfo, IgniteLogger log)` Stop rebuilding indexes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexesRebuildTask

    public IndexesRebuildTask()

### Method Detail

#### rebuild

    @Nullable
    public @Nullable IgniteInternalFuture<?> rebuild(GridCacheContext<?,?> cctx,
                                                               boolean force,
                                                               IndexRebuildCancelToken cancelTok)

Start to rebuild.

Parameters:
  `cctx` - Cache context.
  `force` - Force rebuild indexes.
Returns:
  A future of rebuilding cache indexes.

#### startRebuild

    protected void startRebuild(GridCacheContext cctx,
                                GridFutureAdapter<Void> fut,
                                SchemaIndexCacheVisitorClosure clo,
                                IndexRebuildCancelToken cancelTok)

Actual start rebuilding. Use this method for test purposes only.

Parameters:
  `cctx` - Cache context.
  `fut` - Future for rebuild indexes.
  `clo` - Closure.
  `cancelTok` - Cancellation token.

#### stopRebuild

    public void stopRebuild(GridCacheContextInfo cacheInfo,
                            IgniteLogger log)

Stop rebuilding indexes.

Parameters:
  `cacheInfo` - Cache context info.
  `log` - Logger.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022